Yamaha Legacy Downloads

For Yamaha V9 downloads, click here.

MultiRack SoundGrid V2.5 supports V8 SoundGrid-compatible plugins only.

If you're not sure, you may verify the version of your Waves plugins and MultiRack SoundGrid in your Waves account. Then upgrade or downgrade ALL SoundGrid components according to the compatibility table below.

  iLok license versions Plugin Version MultiRack Version Server Updater Version Firmware Updater Version
Waves V8 / SoundGrid V2.5 (SGv2.5) V8 Plugins V8 plugins MultiRack SoundGrid V2.5 Updater included in MultiRack SoundGrid V2.5 Updater included in MultiRack SoundGrid V2.5

Important: We recommend that you download both the V7 and V8 installers, and keep them on your computer. That way, you’ll always have full compatibility even if you find yourself without an Internet connection.

If you encounter any problems, please contact Waves Tech Support at +1-865-909-9200 ext. 1.

Installing SoundGrid V2.5 or Upgrading V7/SGv1 to V8/SGv2.5

  1. Download "Waves V8 / SoundGrid V2.5" Installer for or .
  2. Install MultiRack SoundGrid v2.5 application, Waves SoundGrid Driver and SoundGrid compatible plugins. Restart your computer.
  3. Connect your SoundGrid Servers, WSG-Y16 cards (installed in your Yamaha console), and network switch to your host computer as shown below and power them all up.
  4. Install/Update your SoundGrid Server and I/O software
    Open MultiRack SoundGrid. On Start up MultiRack will scan for connected devices. If found incompatible software/firmware a message will pop up. To update go to Edit menu and choose Inventory. Inventory Window will show list of connected devices. Devices with older firmware/software will be highlighted in red. Click Update button next to device to start the Updater. Follow the steps to complete the update process.
  5. Your system is upgraded to SoundGrid V2.5.